
QGIS Application - Bug report #20485

filter doesn't break on invalid expressions

2018-11-14 11:18 AM - Tobias Wendorff

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:3.5(master) Regression?: No

Operating System: Microsoft Windows 7, 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28305

Description

When loading a shapefile, you can enter any expression in Provider specific filter expressions. The test will always show results and

doesn't throw an error, like in the past.

This maybe also true for other data providers.

Related issues:

Duplicates QGIS Application - Bug report # 20471: Query Builder failed to tes... Closed 2018-11-13

History

#1 - 2018-11-14 06:19 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

#20471

#2 - 2018-11-14 06:50 PM - Jürgen Fischer

- Duplicates Bug report #20471: Query Builder failed to test filter expression added
